Check Out

Check out a quantity of an existing part.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST Check Out

Check out a quantity of an existing part.

POST /ODataApi/v1/Parts('{name}')/CheckOut

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/CheckOut

Replace:

  • {sitename} with your MVP One site name.
  • {name} with the part name or part ID.

Path parameter

ParameterTypeRequiredDescription
nameStringYesPart name or part ID for the existing part to check out.

Request body fields

FieldData typeRequiredDescription
WarehouseIDStringYesWarehouse where you check out the part.
StockLocationStringYesStock location where you check out the part.
QuantityDecimalYesQuantity to check out.
ChargeToStringYesEntity receiving the checked-out part.
ChargeToTypeStringYesType of entity receiving the checked-out part.
PeopleIDStringYesPerson associated with the checkout transaction.
FromAccountStringYesAccount used as the checkout source.
ToAccountStringYesAccount receiving the checkout.
NotesStringYesNotes for the checkout transaction.
DateTimeStringYesDate and time of the checkout transaction.

Example request

{
  "WarehouseID": "MAIN",
  "StockLocation": "A-01",
  "Quantity": 2,
  "ChargeTo": "WO-1001",
  "ChargeToType": "WorkOrder",
  "PeopleID": "JSMITH",
  "FromAccount": "Inventory",
  "ToAccount": "Maintenance",
  "Notes": "Checked out for repair work order",
  "DateTime": "2026-06-22T10:30:00"
}

Example endpoint

POST https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/CheckOut

Response

A successful request returns a Boolean value:

true

Notes

  • The part must already exist before you call this endpoint.
  • Use single quotes around the part name or part ID in the endpoint URL.
  • Quantity is the amount checked out.
  • Send DateTime in the date and time format expected by your MVP One environment.
Path Params
string
required

The part name or part ID.

Body Params
string
required

Warehouse where the part is checked out from.

string
required

Stock location where the part is checked out from.

number
required

Quantity to check out.

string
required

Entity receiving the checked-out part.

string
required

Type of entity receiving the checked-out part.

string
required

Person associated with the checkout transaction.

string
required

Account used as the checkout source.

string
required

Account receiving the checkout.

string
required

Notes for the checkout transaction.

string
required

Date and time of the checkout transaction.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json